<?
/**
 * class Outlet
 *
 * Class for managing outlet specific information
 * 'Outlet' (engl.) = Steckdose
 *
 * Purpose: To be able to "plug" Vips into different environments with having to adjust
 * only the config file (vips.config.php). In reality this isn't completely implemented but
 * almost...
 *
 * The outlet object is created in vips.config.php and updated with every call of vips.php.
 * It contains e.g. user and course information.
 *
 * @author: Christa Deiwiks <cdeiwiks@uos.de>
 *
 */

require_once 'VipsOutletStudip.class.php';

class VipsOutlet {

        #####################
        # PRIVATE VARIABLES #
        #####################
        var
                $buttonpath,
                $course,                        //name of current course
                $courseID,                      //id of current course
                $courseIDfield,         //field tag of course ID
                $coursetable,           //name of table with course info
                $css,
                $db_database,           // database info
                $db_host,
                $db_password,
                $db_user,
                $language,
                $name,
                $picturepath,
                $status,                        // [lecturer|tutor|student|nobody]
                $tmppath,
                $title,
                $uploadpath,
                $userID,
                $userIDfield,           //column tag of user ID
                $usertable;                     //name of table with user information

        /**
         * Constructor
         */
        function VipsOutlet($name) {
                $this->name = $name;
        }

        /**
         * Factory function for specific outlet
         * @return newly created specific outlet object
         */
        function factory($name) {
                if ($name == 'studip') {
                        require_once('VipsOutletStudip.class.php');
                        return new VipsOutletStudip($name);
                }
        }

        /**
         * to be implemented by subclass
         */
        function getUserID() {
        }
        /**
         * to be implemented by subclass
         */
        function logout() {
        }
        /**
         * to be implemented by subclass
         */
        function connect() {
        }

        /**
         * Output function to make outlet fields visible
         */
        function show() {
                echo "buttonpath        = ".$this->buttonpath."<br>";
                echo "course            = ".$this->course."<br>";
                echo "courseID          = ".$this->courseID."<br>";
                echo "css               = ".$this->css."<br>";
                echo "db_database       = ".$this->db_database."<br>";
                echo "db_host           = ".$this->db_host."<br>";
                echo "db_password       = ".$this->db_password."<br>";
                echo "db_user           = ".$this->db_user."<br>";
                echo "language          = ".$this->language."<br>";
                echo "name              = ".$this->name."<br>";
                echo "picturepath       = ".$this->picturepath."<br>";
                echo "status            = ".$this->status."<br>";
                echo "tmppath           = ".$this->tmppath."<br>";
                echo "title             = ".$this->title."<br>";
                echo "uploadpath        = ".$this->uploadpath."<br>";
                echo "userID            = ".$this->userID."<br>";
        }
}

?>
