<?php

/**
 * !!! Important !!!
 * Do not use any whitespaces within or around the foreach loops, as they will
 * result in (possibly unwanted) spaces between text and gaps!
 */

$blank = 0;  // number of the current blank

$partly_correct_array = $quirks['partly_correct_array'];

// Build a $merged_array 'text-blank-text-blank-...' from $answer_array and $correct_array. The $exercise_question is sometimes not available (when printing), so do not use it, but the $merged_array instead!

/* !!! Cloze exercise ALWAYS begins with text (~> "answer"), NEVER with a blank (~> "correct") !!! */
$merged_array = array();
for ($i = 0; $i < count($answer_array); $i++) {
    $merged_array[] = $answer_array[$i];
    if (is_array($correct_array[$i])) {
        $merged_array[] = $correct_array[$i];
    }
}
?>



<!-- start show_cloze_exercise -->



<? /* show exercise hint */ ?>
<? if ($exercise_hint) : ?>
    <?= $this->render_partial('exercises/show_exercise_hint') ?>
<? endif ?>



<div class="vips_steel" style="padding-bottom: 1em;">

    <? /* sample solution and correction (after selftest; under correction; student viewing correction) */ ?>
    <? if ($show_solution && (!$print || $samplesolution)) : ?>
<? foreach ($merged_array as $elem) : ?>
<? if (!is_array($elem)) :  /* no blank */ ?>
<?= formatReady($elem, false) ?>
<? else :  /* blank */ ?>
<? if (in_array($student_array[$blank], $correct_array[$blank])) :  /* correct answer */ ?>
<span style="color: green; font-style: italic; text-decoration: underline; white-space: pre;"><?= html_ready($student_array[$blank]) ?></span><??>
<img src="<?= $picturepath ?>vote_answer_correct.gif" alt="<?= _('richtig') ?>"><??>
<? elseif (in_array($student_array[$blank], $partly_correct_array[$blank])) :  /* partly correct answer */ ?>
<span style="color: magenta; font-weight: bold; font-style: italic; text-decoration: underline; white-space: pre;"><?= html_ready($student_array[$blank]) ?></span><??>
<img src="<?= $picturepath ?>vote_answer_wrong.gif" alt="<?= _('fast richtig') ?>"><??>
<span style="color: blue; font-size: smaller;">[<?= html_ready(implode('|', $correct_array[$blank])) ?>]</span><??>
<? else :  /* wrong answer */ ?>
<span style="color: red; font-weight: bold; font-style: italic; text-decoration: underline; white-space: pre;"><?= html_ready($student_array[$blank]) ?></span><??>
<img src="<?= $picturepath ?>vote_answer_wrong.gif" alt="<?= _('falsch') ?>"><??>
<span style="color: blue; font-size: smaller;">[<?= html_ready(implode('|', $correct_array[$blank])) ?>]</span><??>
<? endif ?>
<? $blank++ ?>
<? endif ?>
<? endforeach ?>



    <? /* sample solution without correction (only in print view) */ ?>
    <? elseif ($print && $samplesolution && !$korrektur) : ?>
<? foreach ($merged_array as $elem) : ?>
<? if (!is_array($elem)) :  /* no blank */ ?>
<?= formatReady($elem, false) ?>
<? else :  /* blank */ ?>
____________<??>
<span style="color: blue; font-size: smaller;">[<?= html_ready(implode('|', $elem)) ?>]</span><??>
<? endif ?>
<? endforeach ?>



    <? /* print with student's solution */ ?>
    <? elseif ($print && $show_solution) : ?>
<? foreach ($merged_array as $elem) : ?>
<? if (!is_array($elem)) :  /* no blank */ ?>
<?= formatReady($elem, false) ?>
<? else :  /* blank */ ?>
<span style="font-style: italic; text-decoration: underline;"><?= html_ready($student_array[$blank++]) ?></span><??>
<? endif ?>
<? endforeach ?>



    <? /* plain print view */ ?>
    <? elseif ($print) : ?>
<? foreach ($merged_array as $elem) : ?>
<? if (!is_array($elem)) :  /* no blank */ ?>
<?= formatReady($elem, false) ?>
<? else :  /* blank */ ?>
____________<??>
<? endif ?>
<? endforeach ?>



    <? /* student solving */ ?>
    <? else : ?>
<? foreach ($merged_array as $elem) : ?>
<? if (!is_array($elem)) :  /* no blank */ ?>
<?= formatReady($elem, false) ?>
<? else :  /* blank */ ?>
<input type="text" name="answer_<?= $blank ?>" size="10" value="<?= html_ready($student_array[$blank++]) ?>"><??>
<? endif ?>
<? endforeach ?>

    <? endif ?>

</div>



<!-- end show_cloze_exercise -->
