<?php
if ($print) {  // printing
    $views = array(
        'solution_original' => _('Programm'));
}
else if ($status == 'student' || !$korrektur) {  // students or student view for lecturers
    if (empty($commented_solution)) {
        $views = array(
            'solution_original' => _('Lsung'));
    } else {
        $views = array(
            'solution_student_view' => _('kommentierte Lsung'),
            'solution_original'     => _('ursprngliche Lsung'));
    }
}
else {
    if (empty($commented_solution)) {
        $views = array(
            'solution_edit'     => _('editierbare Lsung'),
            'solution_original' => _('Lsung des Studenten'));
    } else {
        $views = array(
            'solution_edit'     => _('editierbare Lsung'),
            'solution_original' => _('ursprngliche Lsung'));
    }
}

// assert that $solution_view is set (by default to the first array key)
$solution_view = empty($solution_view) ? reset(array_keys($views)) : $solution_view;

if (!vips_has_editable_solutions()) {
    $solution_view = 'solution_original';
}

$url = vips_url(array('action' => 'solutions', 'subaction' => 'edit_solution', 'exercise_id' => $in_rnd_exercise ? $rnd_exercise_id : $exercise_id, 'assignment_id' => $assignment_id, 'assignment_type' => $assignment_type, 'exercise_position' => $exercise_position, 'solver_id' => $solver_id, 'single_solver' => $single_solver, 'view' => $view));
?>

<? if ($ajax_updating) : ?>
    <? /* just update the table cell, nothing else */ ?>
    <?= $this->render_partial('exercises/solution_view_selection', compact('views', 'url')) ?>
    <?= $this->render_partial('exercises/'.$solution_view, array('code' => true)) ?>
    <? /* invisible textarea below is needed to pass student's answer when the answer is displayed as plain text (and if it is displayed in a textarea itself, this invisible one doesn't bother) */ ?>
    <textarea name="answer_0" readonly="readonly" style="display: none;"><?= html_ready($solution_view != 'solution_original' && $commented_solution ? $commented_solution : $student_array[0]) ?></textarea>
    <input type="hidden" name="solution_view" value="<?= $solution_view ?>">

<? else : ?>

    <!-- start show_pl_exercise -->

    <script type="text/javascript">
        <!--
        function ajaxUpdate(id, url)
        {
            new Ajax.Updater(id, url, {});
            return false;
        }
        //-->
    </script>

    <div class="vips_steel" style="padding-bottom: 1em;">
        <?= formatReady($exercise_question) ?>
    </div>

    <? if ($exercise_hint) : ?>
        <?= $this->render_partial('exercises/show_exercise_hint') ?>
    <? endif ?>

    <input type="hidden" name="solution_view" value="<?= $solution_view ?>">

    <table class="vips" style="width: 100%;">
        <!-- Note: the following height setting is necessary to
             work around a layout bug in Internet Explorer -->
        <tr class="vips" style="vertical-align: top; height: 24em;">
            <td id="solution" class="vips" width="50%" style="padding: 1em 1em;">

                <? /* student solves */ ?>
                <? if (!$show_solution /*&& !$print*/) : ?>
                    <? if (!$print) : ?>
                        <span style="font-style: italic;">
                            <?= _('bisherige Lsung') ?>:
                        </span><br>
                        <textarea name="answer_0" class="monospace" rows="20" cols="60" style="width: 100%; height: 95%;"><?= html_ready($student_array[0] ? $student_array[0] : $quirks['answer_default']) ?></textarea>
                    <? else :  /* print */ ?>
                        <div style="margin-bottom: 1em;">
                            <?= html_ready($student_array[0] ? $student_array[0] : ''/* $quirks['answer_default'] */) ?>
                        </div>
                    <? endif ?>

                <? /* lecturer corrects */ ?>
                <? elseif (!$print && $korrektur && $status != 'student') : ?>
                    <?= $this->render_partial('exercises/solution_view_selection', compact('views', 'url')) ?>
                    <?= $this->render_partial('exercises/'.($solution_view ? $solution_view : 'solution_edit'), array('code' => true)) ?>
                    <? /* invisible textarea below is needed to pass student's answer when the answer is displayed as plain text (and if it is displayed in a textarea itself, this invisible one doesn't bother) */ ?>
                    <textarea name="answer_0" readonly="readonly" style="display: none;"><?= html_ready($student_array[0]) ?></textarea>

                <? /* show student solution */ ?>
                <? else : ?>
                    <? if (!$print) : ?>
                        <?= $this->render_partial('exercises/solution_view_selection', compact('views', 'url')); ?>
                    <? else : ?>
                        <span style="font-style: italic;">
                            <?= $views['solution_original'] ?>:
                        </span>
                    <? endif ?>
                    <?= $this->render_partial('exercises/'.($solution_view ? $solution_view : 'solution_student_view'), array('code' => true)) ?>
                    <? /* invisible textarea below is needed to pass student's answer when the answer is displayed as plain text (and if it is displayed in a textarea itself, this invisible one doesn't bother) */ ?>
                    <textarea name="answer_0" readonly="readonly" style="display: none;"><?= html_ready($solution_view != 'solution_original' && $commented_solution ? $commented_solution : $student_array[0]) ?></textarea>

                <? endif ?>
            </td>

            <? /* concerning prolog */ ?>
            <td class="vips" width="50%" style="padding: 1em 1em;">
                <? /* Testanfrage */ ?>
                <? if (!$print) : ?>
                    <p>
                        <span style="font-style: italic;">
                            <?= _("Testanfrage") ?>:
                        </span>
                        <br/>
                        <span>
                            <? if ($quirks['pl_temp_query']) : ?>
                                <input name="pl_query" value="<?= html_ready($quirks['pl_temp_query']) ?>" size="20" style="width: 50%;">
                            <? else:?>
                                <input name="pl_query" value="<?= html_ready($quirks['query_default']) ?>" size="20" style="width: 50%;">
                            <? endif ?>
                            <input type="hidden" name="pl_count" value="<?= $quirks['pl_count'] ?>">
                            <input type="submit" name="pl_exercise_mode_query" value="Query">
                            <input type="submit" name="pl_exercise_mode_querynext" value="Query Next">
                            <? if ($korrektur) :?>
                                <input type="submit" name="pl_exercise_mode_eval" value="Eval">
                            <? endif ?>
                        </span>
                    </p>
                <? endif ?>

                <? /* Prolog output */ ?>
                <? if ($quirks['pl_out'] && !$print) : ?>
                    <p>
                        <span style="font-style: italic;">
                            <?= _("Prolog Output") ?>:
                        </span>
                        <div class="vips_highlight">
                            <pre><?= html_ready($quirks['pl_out']) ?></pre>
                        </div>
                    </p>
                <? endif ?>

                <? /* Prolog score */ ?>
                <? if ($korrektur && !$print) : ?>
                    <p>
                        <span style="font-style: italic;">
                            <?= _("Prolog Score") ?>:
                        </span>
                        <div class="vips_highlight">
                            <?= ($quirks['pl_score'] == 0 && $submitted) ? '0' : $quirks['pl_score']; ?>
                        </div>
                    </p>
                <? endif ?>

                <? /* Validity */ ?>
                <? if ($korrektur && !$print) : ?>
                    <p>
                        <span style="font-style: italic;">
                            <?= _("Validity") ?>:
                        </span>
                        <div class="vips_highlight">
                            <?= ($quirks['pl_validity'] == 0 && $submitted) ? '0' : $quirks['pl_validity']; ?>
                        </div>
                    </p>
                <? endif ?>
            </td>
        </tr>

        <? /* up- and download */ ?>
        <? if (!$print) : ?>
            <tr class="vips">
                <td class="vips" colspan="2" style="padding-top: 1em;">
                    <?= _("Programmcode herunterladen") ?>:

                    <?= makeButton('herunterladen', 'input', false, 'pl_exercise_mode_download') ?>
                </td>
            </tr>

            <? if (!$korrektur) : ?>
                <tr class="vips">
                    <td class="vips" colspan="2" style="padding-top: 1em;">
                        <?= _("Lokale Datei ins Fenster laden") ?>:

                        <input type="file" name="pl_userfile">
                        &nbsp;
                        <?= makeButton('dateihochladen', 'input', false, 'pl_exercise_mode_upload') ?>
                    </td>
                </tr>
            <? endif ?>
        <? endif ?>

        <? if ($show_solution || $print && $samplesolution): ?>
            <tr class="vips" style="vertical-align: top;">

                <td class="vips" width="50%" style="padding: 1em 1em;">
                    <?= $this->render_partial('exercises/show_sample_solution', array('code' => true)) ?>
                </td>
                <td class="vips" width="50%"></td>

            </tr>
        <? endif ?>
    </table>

<? endif ?>

<!-- end show_pl_exercise -->
