<?php
if ($status == 'student') {
    $views = array(
        'solution_student_view' => _('kommentierte Lsung'),
        'solution_original'     => _('ursprngliche Lsung')
        );
}
else {
    $views = array(
        'solution_edit'         => _('editierbare Lsung'),
        'solution_original'     => _('ursprngliche Lsung'),
        'solution_student_view' => _('Studentensicht (Vorschau)')
        );
}

if (!$commented_solution) {  // if no commented solution exists
    unset($views['solution_student_view']);
    $views['solution_original'] = $status == 'student' ? _('Lsung') : _('Lsung des Studenten');
}

if (!vips_has_editable_solutions()) {
    $solution_view = 'solution_original';
}

$url = vips_url(array('action' => 'solutions', 'subaction' => 'edit_solution', 'exercise_id' => $in_rnd_exercise ? $rnd_exercise_id : $exercise_id, 'assignment_id' => $assignment_id, 'assignment_type' => $assignment_type, 'exercise_position' => $exercise_position, 'solver_id' => $solver_id, 'single_solver' => $single_solver, 'view' => $view));
?>

<? if ($ajax_updating) : ?>
    <? /* just update the table cell, nothing else */ ?>
    <?= $this->render_partial('exercises/solution_view_selection', compact('views', 'url')) ?>
    <?= $this->render_partial('exercises/'.$solution_view) ?>

<? else : ?>

    <!-- start template show_tb_exercise_tbquer -->

    <script type="text/javascript">
        <!--
        function ajaxUpdate(id, url)
        {
            new Ajax.Updater(id, url, {});
            return false;
        }
        //-->
    </script>

    <table class="vips" style="width: 100%;">
        <!-- Note: the following height setting is necessary to
             work around a layout bug in Internet Explorer -->
        <tr class="vips" style="vertical-align: top; height: 24em;">
            <td class="vips" width="50%">
                <div style="margin-bottom: 1em;">
                    <?= formatReady($exercise_question) ?>
                </div>

                <? if ($exercise_hint) : ?>
                    <?= $this->render_partial('exercises/show_exercise_hint', array('margin' => '2em 4em')) ?>
                <? endif ?>
            </td>

            <td id="solution" class="vips" width="50%" style="padding: 0em 2em;">

                <? /* student solves */ ?>
                <? if (!$show_solution) : ?>
                    <textarea name="answer_0" rows="20" cols="60" style="width: 100%; height: 100%;"><?= html_ready($student_array[0] ? $student_array[0] : $quirks['answer_default']) ?></textarea>

                <? /* lecturer corrects */ ?>
                <? elseif (!$print && $korrektur && $status != 'student') : ?>
                    <?= $this->render_partial('exercises/solution_view_selection', compact('views', 'url')) ?>
                    <?= $this->render_partial('exercises/'.($solution_view ? $solution_view : 'solution_edit')) ?>

                <? /* show student solution */ ?>
                <? else : ?>
                    <?= $this->render_partial('exercises/solution_view_selection', compact('views', 'url')) ?>
                    <?= $this->render_partial('exercises/'.($solution_view ? $solution_view : 'solution_student_view')) ?>

                <? endif ?>

            </td>
        </tr>

        <? if ($show_solution || $print && $samplesolution): ?>
            <tr class="vips" style="vertical-align: top;">

                <td class="vips" width="50%"></td>
                <td class="vips" width="50%" style="padding: 1em 2em;">
                    <?= $this->render_partial('exercises/show_sample_solution') ?>
                </td>

            </tr>
        <? endif ?>
    </table>

<? endif ?>

<!-- end template show_tb_exercise_tbquer -->
