<?PHP
/*
 * vips.config.php - Vips plugin for Stud.IP
 * Copyright (c) 2003-2005  Erik Schmitt, Philipp Hgelmeyer
 * Copyright (c) 2005-2006  Christa Deiwiks
 * Copyright (c) 2006-2007  Elmar Ludwig, Martin Schrder
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 */

/**
 *
 * All outlet-specific information is collected so the g_outlet object can provide
 * it to the vips_-files.
 *
 * Is called everytime vips.php is called (I admit this isn't exactly ideal)
 *
 */
require_once 'lib/classes/VipsOutlet.class.php';

function enter()
{
        $g_outlet = VipsOutlet::factory('studip');

        $browser_language           = get_accepted_languages();

        $g_outlet->getUserID();     // see VipsOutletStudip()
        $user_language_path         = getUserLanguagePath($g_outlet->userID);

        $g_outlet->language         = $user_language_path;
        $g_outlet->buttonpath       = "locale/".$g_outlet->language."/LC_BUTTONS/";
        $g_outlet->course           = $_SESSION['SessSemName'][0];
        $g_outlet->courseID         = $_SESSION['SessSemName'][1];
        $g_outlet->css              = $GLOBALS['ASSETS_URL']."stylesheets/style.css";

        $g_outlet->db_database      = $GLOBALS['DB_STUDIP_DATABASE'];               //name of database
        $g_outlet->db_host          = $GLOBALS['DB_STUDIP_HOST'];                   //name of host
        $g_outlet->db_password      = $GLOBALS['DB_STUDIP_PASSWORD'];               //password
        $g_outlet->db_user          = $GLOBALS['DB_STUDIP_USER'];                   //username

        // $g_outlet->name;         // see VipsOutletStudip()
        $g_outlet->picturepath      = $GLOBALS['ASSETS_URL']."images/";
        // $g_outlet->status;       // see $g_outlet->getStatus();
        $g_outlet->tmppath          = $GLOBALS['TMP_PATH'];
        $g_outlet->title            = 'Stud.IP | Universitt Osnabrck';
        $g_outlet->uploadpath       = $GLOBALS['UPLOAD_PATH'];
        // $g_outlet->userID;       // see $g_outlet->login();

        $g_outlet->getStatus();     //lecturer,student or tutor

        // $g_outlet->show();

        return $g_outlet;
}

?>
